@import url("https://fonts.googleapis.com/css?family=Muli:300,400,400i,700&display=swap");


.dock-bar .header-panel-controls:not(.content-icons) {--components-button-OVERRIDE_PROPS-variant:text;}
.panel-header .content-right {--components-button-OVERRIDE_PROPS-variant:text;}
.loading {--components-text-OVERRIDE_PROPS-color:main;}
.navbar {--components-button-OVERRIDE_PROPS-variant:icon;--components-button-OVERRIDE_PROPS-color:darken;--components-input-OVERRIDE_PROPS-labelShrink:false;--components-input-OVERRIDE_PROPS-size:sm;--components-input-OVERRIDE_PROPS-color:darken;}
.lock-screen {--components-button-DEFAULT_PROPS-variant:contained;--components-button-DEFAULT_PROPS-color:important;}
.account-quick-btns {--components-button-OVERRIDE_PROPS-variant:text;--components-button-OVERRIDE_PROPS-color:darken;}
.login {--components-button-OVERRIDE_PROPS-variant:contained;--components-button-OVERRIDE_PROPS-size:xl;--components-input-OVERRIDE_PROPS-labelShrink:false;--components-input-OVERRIDE_PROPS-size:lg;}
.widget {--components-linedGrid-OVERRIDE_PROPS-borderVariant:darken;--components-input-OVERRIDE_PROPS-color:lighten;}
:root {--colors-black-100:#f2f2f2;--colors-black-200:#ebebeb;--colors-black-300:#ebebeb;--colors-black-400:#d1d1d1;--colors-black-500:#d1d1d1;--colors-black-600:#b8b8b8;--colors-black-700:#b8b8b8;--colors-black-800:#838383;--colors-black-900:#353535;--colors-black-950:#353535;--colors-black-1000:#1c1c1c;--colors-black-1100:#1c1c1c;--colors-black-1200:#040506;--colors-black-DEFAULT:#1c1c1c;--colors-primary-DEFAULT:#20c598;--colors-primary-dark:#01352c;--colors-primary-light:#136a58;--colors-primary-contrast:#1c1c1c;--colors-primary-transparent:#136a584D;--colors-secondary-light:#fbde81;--colors-secondary-DEFAULT:#e7a52d;--colors-secondary-dark:#e49712;--colors-secondary-contrast:#ffffff;--colors-secondary-transparent:#e7a52d4D;--colors-buy-light:#00a976;--colors-buy-DEFAULT:#00a976;--colors-buy-dark:#00a976;--colors-buy-contrast:#ffffff;--colors-buy-transparent:#00a9764D;--colors-sell-light:#d99f40;--colors-sell-DEFAULT:#d99f40;--colors-sell-dark:#d99f40;--colors-sell-contrast:#ffffff;--colors-sell-transparent:#d99f404D;--colors-success-light:#20c598;--colors-success-DEFAULT:#20c598;--colors-success-dark:#20c598;--colors-success-contrast:#1c1c1c;--colors-success-transparent:#20c5984D;--colors-warning-light:#fbde81;--colors-warning-DEFAULT:#fbde81;--colors-warning-dark:#fbde81;--colors-warning-contrast:#1c1c1c;--colors-warning-transparent:#fbde814D;--colors-caution-light:#ff6600;--colors-caution-DEFAULT:#ff6600;--colors-caution-dark:#ff6600;--colors-caution-contrast:#1c1c1c;--colors-caution-transparent:#ff66004D;--colors-important-light:#ce3048;--colors-important-DEFAULT:#ce3048;--colors-important-dark:#ce3048;--colors-important-contrast:#ffffff;--colors-important-transparent:#ce30484D;--colors-risk-light:#df0067;--colors-risk-DEFAULT:#df0067;--colors-risk-dark:#df0067;--colors-risk-contrast:#ffffff;--colors-risk-transparent:#df00674D;--components-app-bg:var(--colors-black-400, #8187a5);--components-buttonGroup-secondary-border-color:#d1d1d1;--components-panel-main-bg:var(--colors-primary-dark, #ff5a3d);--components-panel-main-border-color:var(--colors-black-400, #8187a5);--components-panel-widgetContainer-bg:var(--colors-primary-dark, #ff5a3d);--components-button-common-bgHover:#20c598;--components-button-common-border-colorHover:#20c598;--components-button-common-textHover:#01352c;--components-button-selected-bg:#20c598;--components-button-selected-text:#01352c;--components-button-iconVariant-black-bgHover:transparent;--components-button-iconVariant-black-textHover:#d99f40;--components-button-iconVariant-darken-bgHover:transparent;--components-button-iconVariant-darken-textHover:#d99f40;--components-button-iconVariant-lighten-bgHover:var(--colors-lighten-100, #cfd5e71A);--components-button-iconVariant-lighten-textHover:#d99f40;--components-button-weight:bold;--components-button-containedVariant-black-bg:var(--colors-primary-DEFAULT, #ff7357);--components-button-containedVariant-black-text:var(--colors-primary-contrast, #1b1f2a);--components-button-containedVariant-darken-bg:transparent;--components-button-containedVariant-darken-text:var(--colors-primary-dark, #ff5a3d);--components-button-textVariant-darken-bgFocus:#20c598;--components-button-textVariant-darken-bgHover:#d1d1d1;--components-button-textVariant-darken-text:#136a58;--components-button-textVariant-darken-textFocus:#01352c;--components-button-textVariant-darken-textHover:#01352c;--components-chip-DEFAULT_PROPS-color:primary;--components-datePopper-body-bg:#136a58;--components-datePopper-body-border-color:#136a58;--components-datePopper-body-text:var(--colors-black-50, #ededfb);--components-datePopper-date-bgHover:var(--colors-darken-300, #0f12174D);--components-datePopper-date-disabled-bg:transparent;--components-datePopper-date-disabled-text:var(--colors-black-500, #6c7393);--components-datePopper-date-highlight-bg:var(--colors-primary-light, #fe8d74);--components-datePopper-date-highlight-text:var(--colors-primary-contrast, #1b1f2a);--components-datePopper-date-holidays-bg:#01352c;--components-datePopper-date-holidays-text:var(--colors-white, #fff);--components-datePopper-date-outsideMonth-text:var(--colors-black-100, #cfd5e7);--components-datePopper-date-selected-bg:#20c598;--components-datePopper-date-selected-text:#01352c;--components-datePopper-date-selectedRange-bg:var(--colors-primary-light, #fe8d74);--components-datePopper-date-text:var(--colors-black-100, #cfd5e7);--components-datePopper-date-textHover:var(--colors-white, #fff);--components-datePopper-date-today-bg:var(--colors-secondary-DEFAULT, #4399d4);--components-datePopper-date-today-text:var(--colors-secondary-contrast, #ffffff);--components-datePopper-header-bg:#01352c;--components-datePopper-header-border-color:#01352c;--components-datePopper-header-spinner-arrows-text:var(--colors-lighten-500, #cfd5e780);--components-datePopper-header-spinner-arrows-textHover:var(--colors-white, #fff);--components-datePopper-header-spinner-text:var(--colors-white, #fff);--components-datePopper-header-text:var(--colors-black-400, #8187a5);--components-datePopper-time-bg:#136a58;--components-datePopper-time-border-color:#01352c;--components-datePopper-time-list-bg:var(--colors-lighten-100, #cfd5e71A);--components-datePopper-time-list-bgHover:var(--colors-primary-light, #fe8d74);--components-datePopper-time-list-selected-bg:var(--colors-primary-light, #fe8d74);--components-datePopper-time-list-selected-text:var(--colors-primary-contrast, #1b1f2a);--components-datePopper-time-list-text:var(--colors-white, #fff);--components-datePopper-time-list-textHover:var(--colors-primary-contrast, #1b1f2a);--components-datePopper-tri-bg:transparent;--components-datePopper-tri-border-color:var(--colors-black-700, #4c526c);--components-tab-folder-bg:transparent;--components-tab-folder-bgFocus:#07443a;--components-tab-folder-bgHover:transparent;--components-tab-folder-border-color:#07443a;--components-tab-folder-border-colorFocus:transparent;--components-tab-folder-container-bg:var(--colors-darken-400, #0f121766);--components-tab-folder-container-borderBottom-color:#07443a;--components-tab-folder-text:var(--colors-lighten-600, #cfd5e799);--components-tab-folder-textFocus:var(--colors-white, #fff);--components-tab-folder-textHover:var(--colors-white, #fff);--components-tab-underlined-border-colorFocus:#20c598;--components-tab-underlined-text:#d1d1d1;--components-tab-underlined-textFocus:#136a58;--components-table-bg:#01352c;--components-table-border-color:transparent;--components-table-border-w:0px;--components-table-borderX-color:transparent;--components-table-borderX-w:0px;--components-table-content-bg:var(--colors-white, #fff);--components-table-header-bg:#136a58;--components-table-header-border-color:#01352c;--components-table-header-borderX-color:transparent;--components-table-header-filterButton-text:#b8b8b8;--components-table-header-filterButton-textFocus:#d99f40;--components-table-header-filterButton-textHover:#f2f2f2;--components-table-header-text:#f2f2f2;--components-table-row-bgFocus:var(--colors-darken-300, #0f12174D);--components-table-row-bgHover:var(--colors-darken-300, #0f12174D);--components-table-row-border-colorFocus:var(--colors-black-800, #3c4056);--components-table-row-border-colorHover:transparent;--components-table-row-error-bg:var(--colors-important-transparent, #f53e4f4D);--components-table-row-error-bgHover:var(--colors-important-light, #ea6872);--components-table-row-error-indicator-color:var(--colors-important-DEFAULT, #f53e4f);--components-table-row-error-text:var(--colors-white, #fff);--components-table-row-error-textHover:var(--colors-white, #fff);--components-table-row-even-bg:transparent;--components-table-row-highlighted-bg:var(--colors-lighten-100, #cfd5e71A);--components-table-row-highlighted-bgHover:var(--colors-lighten-200, #cfd5e733);--components-table-row-highlighted-indicator-color:var(--colors-primary-DEFAULT, #ff7357);--components-table-row-highlighted-text:var(--colors-white, #fff);--components-table-row-highlighted-textHover:var(--colors-white, #fff);--components-table-row-odd-bg:rgba(255,255,255,0.05);--components-table-row-selected-bg:#01352c;--components-table-row-selected-bgHover:#01352c;--components-table-row-selected-text:#f2f2f2;--components-table-row-selected-textHover:#f2f2f2;--components-table-row-text:#f2f2f2;--components-table-row-textFocus:#20c598;--components-table-row-textHover:#20c598;--components-modal-bg:#136a58;--components-modal-border-color:#136a58;--components-modal-border-w:0px;--components-modal-text:var(--colors-white, #fff);--components-navbar-bg:var(--colors-white, #fff);--components-navbar-h:50px;--components-navbar-logo-url:url(client-theme/images/logo-full-color.svg);--components-navbar-logo-w:150px;--components-loading-bg-grad:var(--colors-primary-light, #fe8d74);--components-news-bg:#136a58;--components-news-border-color:#01352c;--components-news-border-w:0px;--components-linedGrid-DEFAULT_PROPS-borderVariant:darken;--components-login-appName-text:var(--colors-white, #fff);--components-login-bg-grad:var(--colors-primary-dark, #ff5a3d);--components-login-buttonBar-bg:inherit;--components-login-buttonBar-borderTop-color:transparent;--components-login-buttonBar-shadow:inset 0 1px 2px 0 var(--colors-primary-dark, #ff5a3d);--components-login-disclaimer-text:var(--colors-black-500, #6c7393);--components-login-form-pb:1.5rem;--components-login-form-pt:0rem;--components-login-header-bg:transparent;--components-login-header-border-color:transparent;--components-login-header-h:150px;--components-login-header-logo-h:35px;--components-login-header-logo-url:url(client-theme/images/logo-full-white.svg);--components-login-header-pt:0rem;--components-login-input-bg:var(--colors-darken-300, #0f12174D);--components-login-input-icons-color:var(--colors-secondary-DEFAULT, #4399d4);--components-login-panel-bg:var(--colors-primary-light, #fe8d74);--components-login-panel-border-color:transparent;--components-login-panel-border-w:0px;--components-login-panel-w:320px;--components-login-passwordReset-text:var(--colors-lighten-500, #cfd5e780);--components-login-passwordReset-textHover:var(--colors-white, #fff);--components-login-version-pb:1.25rem;--components-login-version-text:var(--colors-white, #fff);--components-input-OVERRIDE_PROPS-labelShrink:false;--components-input-contained-bg:var(--colors-darken-300, #0f12174D);--components-input-contained-darken-bg:#d1d1d1;--components-input-contained-darken-text:#1c1c1c;--components-input-contained-lighten-bg:#136a58;--components-input-contained-lighten-text:var(--colors-white, #fff);--components-input-icons-color:var(--colors-lighten-800, #cfd5e7CC);--components-input-label-darken-text:#838383;--components-input-label-lighten-text:var(--colors-white, #fff);--components-input-label-lighten-textHover:var(--colors-primary-DEFAULT, #ff7357);--components-input-label-lighten-textFocus:var(--colors-primary-DEFAULT, #ff7357);--components-input-label-primary-text:var(--colors-primary-DEFAULT, #ff7357);--components-input-label-primary-textFocus:var(--colors-primary-DEFAULT, #ff7357);--components-input-label-primary-textHover:var(--colors-primary-light, #fe8d74);--components-input-label-text:rgba(255,255,255,0.6);--components-input-label-textFocus:var(--colors-primary-DEFAULT, #ff7357);--components-input-label-textHover:var(--colors-primary-DEFAULT, #ff7357);--components-input-text:var(--colors-white, #fff);--components-listItem-bg:transparent;--components-listItem-menuVariant-bg:#136a58;--components-listItem-menuVariant-border-color:#005c3c;--components-listItem-menuVariant-border-w:1px;--components-listItem-menuVariant-text:var(--colors-white, #fff);--components-listItem-bgFocus:#07443a;--components-listItem-bgHover:var(--colors-darken-300, #0f12174D);--components-listItem-dividerDark-color:var(--colors-darken-300, #0f12174D);--components-listItem-dividerLight-color:var(--colors-darken-300, #0f12174D);--components-listItem-textFocus:#20c598;--components-listItem-textHover:#20c598;--components-formHeader-bg:transparent;--components-formHeader-border-color:var(--colors-lighten-200, #cfd5e733);--components-formHeader-text:var(--colors-white, #fff);--components-headerPanel-bg:var(--colors-primary-light, #fe8d74);--components-headerPanel-border-color:var(--colors-primary-light, #fe8d74);--components-headerPanel-case:uppercase;--components-headerPanel-content-color:var(--colors-primary-dark, #ff5a3d);--components-headerPanel-text:var(--colors-white, #fff);--components-headerPanel-shadow:0 0px 2px 0 var(--colors-black-1200, #0f1217);--components-headerPanel-unselected-text:var(--colors-lighten-600, #cfd5e799);--components-headerPanel-weight:400;--components-buttonBar-main-bg:var(--colors-darken-200, #0f121733);--components-buttonBar-main-borderTop-color:var(--colors-lighten-200, #cfd5e733);--components-buttonBar-main-shadow:inset 0 2px 2px 0 #01352c;--components-text-description-text:rgba(255, 255, 255, 0.6);--components-widget-buttonBar-bg:var(--colors-darken-200, #0f121733);--components-widget-buttonBar-borderTop-color:var(--colors-lighten-200, #cfd5e733);--components-widget-buttonBar-shadow:none;--components-widget-buttonBar-button-bg:#20c598;--components-widget-buttonBar-button-bgHover:#136a58;--components-widget-buttonBar-button-border-color:transparent;--components-widget-buttonBar-button-border-colorHover:transparent;--components-widget-buttonBar-button-text:#01352c;--components-widget-buttonBar-button-textHover:var(--colors-white, #fff);--components-widget-buttonBar-input-bg:var(--colors-primary-dark, #ff5a3d);--components-widget-header-bg:var(--colors-primary-light, #fe8d74);--components-widget-header-border-color:var(--colors-primary-dark, #ff5a3d);--components-widget-header-shadow:0 0px 2px 0 var(--colors-black-900, #282c3e);--components-widget-panel-bg:var(--colors-primary-light, #fe8d74);--components-widget-panel-border-color:var(--colors-primary-dark, #ff5a3d);--components-widget-panel-tile-w:264;--components-flag-border-color:transparent;--components-flag-border-w:0px;--components-flag-indicator-color:#fbde81;--components-flag-indicator-h:2px;--components-flag-text:var(--colors-white, #fff);--components-flag-textFocus:#fbde81;--components-flag-widget-border-color:transparent;--components-flag-widget-border-w:0px;--components-flag-widget-text:var(--colors-white, #fff);--components-flag-widget-textFocus:#fbde81;--components-priceButton-buy-bg:transparent;--components-priceButton-buy-bgHover:var(--colors-buy-dark, #1e9cc3);--components-priceButton-buy-border-color:var(--colors-buy-DEFAULT, #28a9d0);--components-priceButton-buy-border-colorHover:var(--colors-buy-dark, #1e9cc3);--components-priceButton-buy-text:var(--colors-white, #fff);--components-priceButton-buy-textHover:var(--colors-buy-contrast, #ffffff);--components-priceButton-buy-title-text:var(--colors-black-100, #cfd5e7);--components-priceButton-buy-title-textHover:var(--colors-buy-contrast, #ffffff);--components-priceButton-compact-fontSize:13px;--components-priceButton-cursor-url:pointer;--components-priceButton-fontSize:14px;--components-priceButton-indicative-bg:var(--colors-darken-300, #0f12174D);--components-priceButton-indicative-border-color:#0d7957;--components-priceButton-indicative-text:#f4f1e8;--components-priceButton-midrate-bg:var(--colors-primary-light, #fe8d74);--components-priceButton-midrate-border-color:#00a976;--components-priceButton-midrate-text:var(--colors-white, #fff);--components-priceButton-noPrice-bg:var(--colors-darken-300, #0f12174D);--components-priceButton-noPrice-border-color:#0d7957;--components-priceButton-noPrice-text:#f4f1e8;--components-priceButton-noPrice-title-text:#f4f1e8;--components-priceButton-rfqOnly-bg:var(--colors-darken-300, #0f12174D);--components-priceButton-rfqOnly-bgHover:var(--colors-darken-100, #0f12171A);--components-priceButton-rfqOnly-border-color:#0d7957;--components-priceButton-rfqOnly-border-colorHover:#0d7957;--components-priceButton-rfqOnly-text:#f4f1e8;--components-priceButton-rfqOnly-textHover:#f4f1e8;--components-priceButton-sell-bg:transparent;--components-priceButton-sell-bgHover:var(--colors-sell-dark, #e6342e);--components-priceButton-sell-border-color:var(--colors-sell-DEFAULT, #f04f4a);--components-priceButton-sell-border-colorHover:var(--colors-sell-dark, #e6342e);--components-priceButton-sell-text:var(--colors-white, #fff);--components-priceButton-sell-textHover:var(--colors-sell-contrast, #ffffff);--components-priceButton-sell-title-text:var(--colors-black-100, #cfd5e7);--components-priceButton-sell-title-textHover:var(--colors-sell-contrast, #ffffff);--components-priceButton-spread-bg:var(--colors-primary-light, #fe8d74);--components-priceButton-spread-border-color:#00a976;--components-priceButton-spread-text:var(--colors-white, #fff);--components-priceButton-vwap-border-color:var(--colors-primary-DEFAULT, #ff7357);--components-priceButton-vwap-text:var(--colors-primary-DEFAULT, #ff7357);--components-priceButtonContainer-OVERRIDE_PROPS-priceHorizontal:true;--fontUrl:https://fonts.googleapis.com/css?family=Muli:300,400,400i,700&display=swap;--fontFamily-sans:'Muli', Arial, sans-serif;--fontFamily-body:'Muli', Arial, sans-serif;--fontSize-xxs:0.5625rem;--fontSize-xs:0.5625rem;--fontSize-sm:0.625rem;--fontSize-base:0.75rem;--fontSize-md:0.813rem;--fontSize-lg:1rem;}
html {
  .disclaimer {
    display: none;
  }
  body {
    font-family: "Muli", Arial, sans-serif;
  }
  button {
    text-transform: capitalize !important;
    &.bg-primary {
      box-shadow:
        0px 3px 1px -2px rgba(0, 0, 0, 0.2),
        0px 2px 2px 0px rgba(0, 0, 0, 0.14),
        0px 1px 5px 0px rgba(0, 0, 0, 0.12);
    }
  }
  .login {
    .app-name {
      display: none;
    }
    .login-header {
      box-shadow: none;
    }
    /* moving icons on login input to the left */
    .input-root {
      legend {
        left: 35px;
        padding-left: 10px !important;
        margin-left: 0px !important;
      }
      .input-bg {
        overflow: inherit;
        width: calc(100% - 35px);
        justify-self: end;
      }
      .input-prefix {
        position: absolute;
        left: -35px;
      }
    }
    .buttonBar {
      button {
        box-shadow:
          0px 3px 1px -2px rgba(0, 0, 0, 0.2),
          0px 2px 2px 0px rgba(0, 0, 0, 0.14),
          0px 1px 5px 0px rgba(0, 0, 0, 0.12);
      }
    }
  }
  .midrate,
  .spread {
    > div {
      box-shadow:
        0px 3px 1px -2px rgba(0, 0, 0, 0.2),
        0px 2px 2px 0px rgba(0, 0, 0, 0.14),
        0px 1px 5px 0px rgba(0, 0, 0, 0.12);
    }
  }
  .qty-input {
    legend {
      color: black;
    }
    input {
      color: black;
    }
    .input-bg {
      background-color: white;
    }
    .icon {
      color: black;
    }
    button {
      color: black;
    }
  }
  .widget-inputs.widget-inputs .lined-grid {
    legend {
      font-size: 9px !important;
      letter-spacing: 0.05em;
    }
    .input-bg > input {
      padding-top: 8px !important;
    }
  }
  .input-root.nolabelShrink:not(.widget .input-root) {
    legend {
      transform: translateY(-0.8rem) !important;
    }
    fieldset:not(.label-hidden) {
      margin-top: 0.8rem !important;
    }
  }
  .navbar .account-input {
    legend {
      transform: translateY(-0.75rem) !important;
    }
  }
  .navbar .nav-username button:hover {
    background-color: var(--colors-black-300) !important;
    color: var(--colors-primary-DEFAULT) !important;
  }
  .modal .panel-header {
    box-shadow:
      rgba(0, 0, 0, 0) 0px 0px 0px 0px,
      rgba(0, 0, 0, 0) 0px 0px 0px 0px,
      #01352c 0px 1px 2px 0px;
    h1 {
      text-transform: capitalize;
      letter-spacing: 0.05rem;
      font-size: 13px;
    }
  }
  .widget-header {
    box-shadow: none;
  }
  .flag .flag-title {
    font-weight: bold;
  }
  .tw-price-button {
    border-width: 2px;
    .small-figure {
      font-weight: bold;
    }
  }
  .points-container {
    .label {
      font-size: 9.5px !important;
    }
    .value {
      font-size: 12px !important;
    }
    .bg-darken .text-base {
      font-size: 9.5px !important;
    }
  }
  .response-container {
    background: rgba(0, 0, 0, 0.3);
  }
  .news-details {
    .source {
      text-transform: uppercase;
      color: #20c598;
      font-size: 10px;
    }
  }
  .border-important {
    border: 0px !important;
    &:after {
      content: "";
      position: absolute;
      border-radius: 50px;
      z-index: 1;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      outline: 3px solid var(--colors-important-light);
      outline-offset: -3px;
      pointer-events: none;
    }
    legend.\!text-important {
      color: white !important;
    }
    &:hover legend.\!text-important {
      color: white !important;
    }
    svg.text-important {
      background: white;
    }
  }
  p.text-important {
    font-style: normal !important;
    font-weight: 600 !important;
  }
  .modal {
    p.text-important:not(:last-child) {
      background: var(--colors-important-light);
      padding: 2px 4px;
      text-align: center;
      /* &:last-child {
        text-align: right;
      } */
    }
    p.text-important > span,
    p.text-important > svg {
      color: white;
      font-size: 0.7rem;
    }
  }
  .navbar .icon-buttons.flex button:last-child {
    color: var(--components-button-textVariant-darken-text);
    &:hover {
      color: var(--components-button-iconVariant-darken-textHover);
    }
  }
}